# openPilotLog: AFileStandardItem Class Reference

AFileStandardItem Class Reference

Simple QStandardItem subclass to encapsulate necessary file info. Using only a QStandardItem would mean that the full path should be inputted as data and of course displayed by default. However this way we create the absolute path in the fileInfo attribute for further use while displaying only the base name. More...

`#include <backupwidget.h>`

Inheritance diagram for AFileStandardItem:

## Public Member Functions

| AFileStandardItem (const QIcon &icon, const QString &filename, const AStandardPaths::Directories dir)
| AFileStandardItem (const QIcon &icon, const QFileInfo file_info)
const QFileInfo & | info () const

## Detailed Description

Simple QStandardItem subclass to encapsulate necessary file info. Using only a QStandardItem would mean that the full path should be inputted as data and of course displayed by default. However this way we create the absolute path in the fileInfo attribute for further use while displaying only the base name.

The documentation for this class was generated from the following file:

- src/gui/widgets/backupwidget.h